Skip to main content
`Ctrl`+`K`

# DMStagSetGlobalSizes

set global element counts in each direction

## Synopsis

    PetscErrorCode DMStagSetGlobalSizes(DM dm, PetscInt N0, PetscInt N1, PetscInt N2)

Logically Collective; `N0`, `N1`, and `N2` must contain common values

## Input Parameters

- dm - the `DMSTAG` object

- N0 - global elementwise size in the x direction

- N1 - global elementwise size in the y direction

- N2 - global elementwise size in the z direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetGlobalSizes()`, `DMDASetSizes()`

## Level

advanced

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages